dcsimg
Linux Today: Linux News On Internet Time.





Mandrake Linux Security Update Advisories: cyrus-sasl and php

Mar 01, 2002, 23:15 (0 Talkback[s])
______________________________________________________________________

                Mandrake Linux Security Update Advisory
______________________________________________________________________

Package name:           cyrus-sasl
Advisory ID:            MDKSA-2002:018
Date:                   February 28th, 2002
Affected versions:      8.0, 8.1
______________________________________________________________________

Problem Description:

 Kari Hurtta discovered that a format bug exists in the Cyrus SASL
 library, which is used to provide an authentication API for mail
 clients and servers, as well as other services such as LDAP.  The
 format bug was found in one of the logging functions which could be
 used by an attacker to obtain acces to a machine or to possibly acquire
 elevated privileges.  Thanks to the SuSE security team for providing
 the fix.
______________________________________________________________________

References:

 http://online.securityfocus.com/bid/3498
______________________________________________________________________

Updated Packages:

 Mandrake Linux 8.0:
 c110b951eb6e6dd127278d141ae017ec  8.0/RPMS/cyrus-sasl-1.5.27-2.2mdk.i586.rpm
 5a81c471116fd3280545410602218b74  8.0/RPMS/libsasl7-1.5.27-2.2mdk.i586.rpm
 3c5e909197765e7c7e3fd4d64d78e33c  8.0/RPMS/libsasl7-devel-1.5.27-2.2mdk.i586.rpm
 8a753256fab3133323403b677751627d 
 8.0/RPMS/libsasl7-plug-anonymous-1.5.27-2.2mdk.i586.rpm
 c49a64e8626534e15e713e3f8fa86404 
 8.0/RPMS/libsasl7-plug-crammd5-1.5.27-2.2mdk.i586.rpm
 ff7715cd9cd294d3b81cee50cefc85da 
 8.0/RPMS/libsasl7-plug-digestmd5-1.5.27-2.2mdk.i586.rpm
 509f3886238e82319f4915be216ee2ca 
 8.0/RPMS/libsasl7-plug-login-1.5.27-2.2mdk.i586.rpm
 39a0a38600c3616084a223a6c9d9813e 
 8.0/RPMS/libsasl7-plug-plain-1.5.27-2.2mdk.i586.rpm
 f461d7927bb6a5ce823e39cbd0282044  8.0/SRPMS/cyrus-sasl-1.5.27-2.2mdk.src.rpm

 Mandrake Linux 8.0/ppc:
 3d56507915a328027eb2732e9ea2635b  ppc/8.0/RPMS/cyrus-sasl-1.5.27-2.2mdk.ppc.rpm
 b8018668a3be10465e21569767736c41  ppc/8.0/RPMS/libsasl7-1.5.27-2.2mdk.ppc.rpm
 6b54cf0d088bec02c169de63bbf9da8c 
 ppc/8.0/RPMS/libsasl7-devel-1.5.27-2.2mdk.ppc.rpm
 42d2b3dfe4a6f85a49d99d1b85b26adc 
 ppc/8.0/RPMS/libsasl7-plug-anonymous-1.5.27-2.2mdk.ppc.rpm
 22fa96eeac9cdfb62027c940c0541bc3 
 ppc/8.0/RPMS/libsasl7-plug-crammd5-1.5.27-2.2mdk.ppc.rpm
 bd5236961108e6a24c505a0f5505b0ee 
 ppc/8.0/RPMS/libsasl7-plug-digestmd5-1.5.27-2.2mdk.ppc.rpm
 f72e2549b3d1f49d1b0fcf2b8117c824 
 ppc/8.0/RPMS/libsasl7-plug-login-1.5.27-2.2mdk.ppc.rpm
 10de1ac98cf5ccac0b7c9583b143603b 
 ppc/8.0/RPMS/libsasl7-plug-plain-1.5.27-2.2mdk.ppc.rpm
 f461d7927bb6a5ce823e39cbd0282044  ppc/8.0/SRPMS/cyrus-sasl-1.5.27-2.2mdk.src.rpm

 Mandrake Linux 8.1:
 33e1f246a0bae9770cfbc2aae21e99f3  8.1/RPMS/cyrus-sasl-1.5.27-2.1mdk.i586.rpm
 3a0f490210aa941d968acd1bba684bdb  8.1/RPMS/libsasl7-1.5.27-2.1mdk.i586.rpm
 3e277093054c91473b93918668760e69  8.1/RPMS/libsasl7-devel-1.5.27-2.1mdk.i586.rpm
 24190e1579a8fe462cc52f947a9f681e 
 8.1/RPMS/libsasl7-plug-anonymous-1.5.27-2.1mdk.i586.rpm
 b1847f751833690bbc9097f7a8c330c5 
 8.1/RPMS/libsasl7-plug-crammd5-1.5.27-2.1mdk.i586.rpm
 6eab441daeee1b4a153c3f5a79b8f08c 
 8.1/RPMS/libsasl7-plug-digestmd5-1.5.27-2.1mdk.i586.rpm
 6eb39737af0326b6f9a980845f0a67b6 
 8.1/RPMS/libsasl7-plug-login-1.5.27-2.1mdk.i586.rpm
 794ca199452d0417c886b909dc6c66a6 
 8.1/RPMS/libsasl7-plug-plain-1.5.27-2.1mdk.i586.rpm
 ae5dee107ff81d69a05d81dae667e591  8.1/SRPMS/cyrus-sasl-1.5.27-2.1mdk.src.rpm

 Mandrake Linux 8.1/ia64:
 7e11d8bed415ab9d4775878aa20dd3f3 
 ia64/8.1/RPMS/cyrus-sasl-1.5.27-2.1mdk.ia64.rpm
 1b906dd52503351517b01a879479c7a6  ia64/8.1/RPMS/libsasl7-1.5.27-2.1mdk.ia64.rpm
 77570de31b1febab1d1ea558b1ff9bb0 
 ia64/8.1/RPMS/libsasl7-devel-1.5.27-2.1mdk.ia64.rpm
 c63fe54e109ca960dca5b9e131f77d3a 
 ia64/8.1/RPMS/libsasl7-plug-anonymous-1.5.27-2.1mdk.ia64.rpm
 5d266b060f3224281463fc80354d116a 
 ia64/8.1/RPMS/libsasl7-plug-crammd5-1.5.27-2.1mdk.ia64.rpm
 041a3c695b5d868302eb0f18484227fa 
 ia64/8.1/RPMS/libsasl7-plug-digestmd5-1.5.27-2.1mdk.ia64.rpm
 cb07f094cbde0198a20c6126e79009be 
 ia64/8.1/RPMS/libsasl7-plug-login-1.5.27-2.1mdk.ia64.rpm
 198ba20b4dab503995248533d85875bb 
 ia64/8.1/RPMS/libsasl7-plug-plain-1.5.27-2.1mdk.ia64.rpm
 ae5dee107ff81d69a05d81dae667e591 
 ia64/8.1/SRPMS/cyrus-sasl-1.5.27-2.1mdk.src.rpm
______________________________________________________________________

Bug IDs fixed (see https://qa.mandrakesoft.com for more information):

______________________________________________________________________

To upgrade automatically, use MandrakeUpdate.  The verification of md5
checksums and GPG signatures is performed automatically for you.

If you want to upgrade manually, download the updated package from one 
of our FTP server mirrors and upgrade with "rpm -Fvh *.rpm".  A list of
FTP mirrors can be obtained from:

  http://www.mandrakesecure.net/en/ftp.php

Please verify the update prior to upgrading to ensure the integrity of
the downloaded package.  You can do this with the command:

  rpm --checksig 

All packages are signed by MandrakeSoft for security.  You can obtain
the GPG public key of the Mandrake Linux Security Team from:

  https://www.mandrakesecure.net/RPM-GPG-KEYS

Please be aware that sometimes it takes the mirrors a few hours to 
update.

You can view other update advisories for Mandrake Linux at:

  http://www.mandrakesecure.net/en/advisories/

MandrakeSoft has several security-related mailing list services that
anyone can subscribe to.  Information on these lists can be obtained by
visiting:

  http://www.mandrakesecure.net/en/mlist.php

If you want to report vulnerabilities, please contact

  security@linux-mandrake.com
______________________________________________________________________

Type Bits/KeyID     Date       User ID
pub  1024D/22458A98 2000-07-10 Linux Mandrake Security Team
  


- -----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.0.5 (GNU/Linux)
Comment: For info see http://www.gnupg.org

mQGiBDlp594RBAC2tDozI3ZgQsE7XwxurJCJrX0L5vx7SDByR5GHDdWekGhdiday
L4nfUax+SeR9SCoCgTgPW1xB8vtQc8/sinJlMjp9197a2iKM0FOcPlkpa3HcOdt7
WKJqQhlMrHvRcsivzcgqjH44GBBJIT6sygUF8k0lU6YnMHj5MPc/NGWt8wCg9vKo
P0l5QVAFSsHtqcU9W8cc7wMEAJzQsAlnvPXDBfBLEH6u7ptWFdp0GvbSuG2wRaPl
hynHvRiE01ZvwbJZXsPsKm1z7uVoW+NknKLunWKB5axrNXDHxCYJBzY3jTeFjsqx
PFZkIEAQphLTkeXXelAjQ5u9tEshPswEtMvJvUgNiAfbzHfPYmq8D6x5xOw1IySg
2e/LBACxr2UJYCCB2BZ3p508mAB0RpuLGukq+7UWiOizy+kSskIBg2O7sQkVY/Cs
iyGEo4XvXqZFMY39RBdfm2GY+WB/5NFiTOYJRKjfprP6K1YbtsmctsX8dG+foKsD
LLFs7OuVfaydLQYp1iiN6D+LJDSMPM8/LCWzZsgr9EKJ8NXiyrQ6TGludXggTWFu
ZHJha2UgU2VjdXJpdHkgVGVhbSA8c2VjdXJpdHlAbGludXgtbWFuZHJha2UuY29t
PohWBBMRAgAWBQI5aefeBAsKBAMDFQMCAxYCAQIXgAAKCRCaqNDQIkWKmK6LAKCy
/NInDsaMSI+WHwrquwC5PZrcnQCeI+v3gUDsNfQfiKBvQSANu1hdulqIRgQQEQIA
BgUCOtNVGQAKCRBZ5w3um0pAJJWQAKDUoL5He+mKbfrMaTuyU5lmRyJ0fwCgoFAP
WdvQlu/kFjphF740XeOwtOqIRgQQEQIABgUCOu8A6QAKCRBynDnb9lq3CnpjAJ4w
Pk0SEE9U4r40IxWpwLU+wrWVugCdFfSPllPpZRCiaC7HwbFcfExRmPa5AQ0EOWnn
7xAEAOQlTVY4TiNo5V/iP0J1xnqjqlqZsU7yEBKo/gZz6/+hx75RURe1ebiJ9F77
9FQbpJ9Epz1KLSXvq974rnVb813zuGdmgFyk+ryA/rTR2RQ8h+EoNkwmATzRxBXV
Jb57fFQjxOu4eNjZAtfII/YXb0uyXXrdr5dlJ/3eXrcO4p0XAAMFBACCxo6Z269s
+A4v8C6Ui12aarOQcCDlV8cVG9LkyatU3FNTlnasqwo6EkaP572448weJWwN6SCX
Vl+xOYLiK0hL/6Jb/O9Agw75yUVdk+RMM2I4fNEi+y4hmfMh2siBv8yEkEvZjTcl
3TpkTfzYky85tu433wmKaLFOv0WjBFSikohGBBgRAgAGBQI5aefvAAoJEJqo0NAi
RYqYid0AoJgeWzXrEdIClBOSW5Q6FzqJJyaqAKC0Y9YI3UFlE4zSIGjcFlLJEJGX
lA==
=0ahQ
- -----END PGP PUBLIC KEY BLOCK-----

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8fruumqjQ0CJFipgRAm8VAJ4/qUH+91+TaJ4JVDWfjj0Aoe6CBQCffxv9
MB4l9xbVMuPSt7hAegoctmk=
=V1lD
-----END PGP SIGNATURE-----





From: Mandrake Linux Security Team 
To: bugtraq@securityfocus.com
Date: Thu, February 28, 2002 15:21
Subject: MDKSA-2002:017 - php update

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

______________________________________________________________________

                Mandrake Linux Security Update Advisory
______________________________________________________________________

Package name:           php
Advisory ID:            MDKSA-2002:017
Date:                   February 28th, 2002
Affected versions:      7.1, 7.2, 8.0, 8.1, Corporate Server 1.0.1,
                        Single Network Firewall 7.2
______________________________________________________________________

Problem Description:

 Several flaws exist in various versions of PHP in the way it handles
 multipart/form-data POST requests, which are used for file uploads.
 The php_mime_split() function could be used by an attacker to execute
 arbitrary code on the server.  This affects both PHP4 and PHP3.  The
 authors have fixed this in PHP 4.1.2 and provided patches for older
 versions of PHP.
______________________________________________________________________

References:

 http://security.e-matters.de/advisories/012002.html
______________________________________________________________________

Updated Packages:

 Linux-Mandrake 7.1:
 b467bf615e96ff6f19441fb76c31e66e  7.1/RPMS/php-4.0.6-5.8mdk.i586.rpm
 9c94c50c3f0a417612070d907ac3913a  7.1/RPMS/php-common-4.0.6-5.8mdk.i586.rpm
 b6d1c7eee93643970e912a0068ea108e  7.1/RPMS/php-devel-4.0.6-5.8mdk.i586.rpm
 d0db071e71527246c027d858627bd79a  7.1/SRPMS/php-4.0.6-5.8mdk.src.rpm

 Linux-Mandrake 7.2:
 f2551aaca5328f7ec9cd3acff45bd0ef  7.2/RPMS/php-4.0.6-5.7mdk.i586.rpm
 3b48cebd7b87ab6d44140db24bca3677  7.2/RPMS/php-common-4.0.6-5.7mdk.i586.rpm
 97c976cbfc17a8858943522fb9a61cd8  7.2/RPMS/php-devel-4.0.6-5.7mdk.i586.rpm
 8eb30f21520e5450271eef6cb81b9fd6  7.2/SRPMS/php-4.0.6-5.7mdk.src.rpm

 Mandrake Linux 8.0:
 40692c18d192b6590f9515490e1ba5ff  8.0/RPMS/php-4.0.6-5.6mdk.i586.rpm
 5519419aaf2e801c73b6d544dd1dab13  8.0/RPMS/php-common-4.0.6-5.6mdk.i586.rpm
 4405dfea6e9004e418c0d3bf46e5c3b3  8.0/RPMS/php-devel-4.0.6-5.6mdk.i586.rpm
 27d88658bd8b9b55ade2c5865caf21b7  8.0/SRPMS/php-4.0.6-5.6mdk.src.rpm

 Mandrake Linux 8.0/ppc:
 ad1d2fb5fa7a4f5ef24cb972090c2e58  ppc/8.0/RPMS/php-4.0.6-5.6mdk.ppc.rpm
 46b21874e5927b6df63597aaf0fd98a2  ppc/8.0/RPMS/php-common-4.0.6-5.6mdk.ppc.rpm
 e45f1e5aba41d580dbeba24ad24a154c  ppc/8.0/RPMS/php-devel-4.0.6-5.6mdk.ppc.rpm
 27d88658bd8b9b55ade2c5865caf21b7  ppc/8.0/SRPMS/php-4.0.6-5.6mdk.src.rpm

 Mandrake Linux 8.1:
 a6908e6f35d2940ed79f3c80c2891b12  8.1/RPMS/php-4.0.6-5.5mdk.i586.rpm
 00f6eb55d1cedd253ca191aeb77ccda7  8.1/RPMS/php-common-4.0.6-5.5mdk.i586.rpm
 faeb0148322ff3bb0b6691fc9accdfc5  8.1/RPMS/php-devel-4.0.6-5.5mdk.i586.rpm
 f33a409f14e64efe14db7e2fa331555f  8.1/SRPMS/php-4.0.6-5.5mdk.src.rpm

 Mandrake Linux 8.1/ia64:
 d126433068216b59801123022982925d  ia64/8.1/RPMS/php-4.0.6-5.5mdk.ia64.rpm
 cb8c57101d1768c528fa8956fd85f9b9  ia64/8.1/RPMS/php-common-4.0.6-5.5mdk.ia64.rpm
 a677dae70eafeda055c2b30058c377a5  ia64/8.1/RPMS/php-devel-4.0.6-5.5mdk.ia64.rpm
 f33a409f14e64efe14db7e2fa331555f  ia64/8.1/SRPMS/php-4.0.6-5.5mdk.src.rpm

 Corporate Server 1.0.1:
 b467bf615e96ff6f19441fb76c31e66e  1.0.1/RPMS/php-4.0.6-5.8mdk.i586.rpm
 9c94c50c3f0a417612070d907ac3913a  1.0.1/RPMS/php-common-4.0.6-5.8mdk.i586.rpm
 b6d1c7eee93643970e912a0068ea108e  1.0.1/RPMS/php-devel-4.0.6-5.8mdk.i586.rpm
 d0db071e71527246c027d858627bd79a  1.0.1/SRPMS/php-4.0.6-5.8mdk.src.rpm

 Single Network Firewall 7.2:
 bb60af11bb73bf465c17e6288159d2a7  snf7.2/RPMS/mod_php-4.0.4pl1-4.2mdk.i586.rpm
 a93e9cf9b204ec50af6f4690e52d3946  snf7.2/RPMS/php-4.0.4pl1-4.2mdk.i586.rpm
 2accc4c98e6b9c7dacc5591b227a10c0  snf7.2/RPMS/php-gd-4.0.4pl1-4.2mdk.i586.rpm
 8691c37e9b69f2a4b6bea2d050380c30  snf7.2/SRPMS/php-4.0.4pl1-4.2mdk.src.rpm
______________________________________________________________________

Bug IDs fixed (see https://qa.mandrakesoft.com for more information):

______________________________________________________________________

To upgrade automatically, use MandrakeUpdate.  The verification of md5
checksums and GPG signatures is performed automatically for you.

If you want to upgrade manually, download the updated package from one 
of our FTP server mirrors and upgrade with "rpm -Fvh *.rpm".  A list of
FTP mirrors can be obtained from:

  http://www.mandrakesecure.net/en/ftp.php

Please verify the update prior to upgrading to ensure the integrity of
the downloaded package.  You can do this with the command:

  rpm --checksig <filename>

All packages are signed by MandrakeSoft for security.  You can obtain
the GPG public key of the Mandrake Linux Security Team from:

  https://www.mandrakesecure.net/RPM-GPG-KEYS

Please be aware that sometimes it takes the mirrors a few hours to 
update.

You can view other update advisories for Mandrake Linux at:

  http://www.mandrakesecure.net/en/advisories/

MandrakeSoft has several security-related mailing list services that
anyone can subscribe to.  Information on these lists can be obtained by
visiting:

  http://www.mandrakesecure.net/en/mlist.php

If you want to report vulnerabilities, please contact

  security@linux-mandrake.com
______________________________________________________________________

Type Bits/KeyID     Date       User ID
pub  1024D/22458A98 2000-07-10 Linux Mandrake Security Team
  


- -----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.0.5 (GNU/Linux)
Comment: For info see http://www.gnupg.org

mQGiBDlp594RBAC2tDozI3ZgQsE7XwxurJCJrX0L5vx7SDByR5GHDdWekGhdiday
L4nfUax+SeR9SCoCgTgPW1xB8vtQc8/sinJlMjp9197a2iKM0FOcPlkpa3HcOdt7
WKJqQhlMrHvRcsivzcgqjH44GBBJIT6sygUF8k0lU6YnMHj5MPc/NGWt8wCg9vKo
P0l5QVAFSsHtqcU9W8cc7wMEAJzQsAlnvPXDBfBLEH6u7ptWFdp0GvbSuG2wRaPl
hynHvRiE01ZvwbJZXsPsKm1z7uVoW+NknKLunWKB5axrNXDHxCYJBzY3jTeFjsqx
PFZkIEAQphLTkeXXelAjQ5u9tEshPswEtMvJvUgNiAfbzHfPYmq8D6x5xOw1IySg
2e/LBACxr2UJYCCB2BZ3p508mAB0RpuLGukq+7UWiOizy+kSskIBg2O7sQkVY/Cs
iyGEo4XvXqZFMY39RBdfm2GY+WB/5NFiTOYJRKjfprP6K1YbtsmctsX8dG+foKsD
LLFs7OuVfaydLQYp1iiN6D+LJDSMPM8/LCWzZsgr9EKJ8NXiyrQ6TGludXggTWFu
ZHJha2UgU2VjdXJpdHkgVGVhbSA8c2VjdXJpdHlAbGludXgtbWFuZHJha2UuY29t
PohWBBMRAgAWBQI5aefeBAsKBAMDFQMCAxYCAQIXgAAKCRCaqNDQIkWKmK6LAKCy
/NInDsaMSI+WHwrquwC5PZrcnQCeI+v3gUDsNfQfiKBvQSANu1hdulqIRgQQEQIA
BgUCOtNVGQAKCRBZ5w3um0pAJJWQAKDUoL5He+mKbfrMaTuyU5lmRyJ0fwCgoFAP
WdvQlu/kFjphF740XeOwtOqIRgQQEQIABgUCOu8A6QAKCRBynDnb9lq3CnpjAJ4w
Pk0SEE9U4r40IxWpwLU+wrWVugCdFfSPllPpZRCiaC7HwbFcfExRmPa5AQ0EOWnn
7xAEAOQlTVY4TiNo5V/iP0J1xnqjqlqZsU7yEBKo/gZz6/+hx75RURe1ebiJ9F77
9FQbpJ9Epz1KLSXvq974rnVb813zuGdmgFyk+ryA/rTR2RQ8h+EoNkwmATzRxBXV
Jb57fFQjxOu4eNjZAtfII/YXb0uyXXrdr5dlJ/3eXrcO4p0XAAMFBACCxo6Z269s
+A4v8C6Ui12aarOQcCDlV8cVG9LkyatU3FNTlnasqwo6EkaP572448weJWwN6SCX
Vl+xOYLiK0hL/6Jb/O9Agw75yUVdk+RMM2I4fNEi+y4hmfMh2siBv8yEkEvZjTcl
3TpkTfzYky85tu433wmKaLFOv0WjBFSikohGBBgRAgAGBQI5aefvAAoJEJqo0NAi
RYqYid0AoJgeWzXrEdIClBOSW5Q6FzqJJyaqAKC0Y9YI3UFlE4zSIGjcFlLJEJGX
lA==
=0ahQ
- -----END PGP PUBLIC KEY BLOCK-----

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iD8DBQE8frtxmqjQ0CJFipgRArHHAJ0ZFiL1yL/XllA8nWtsWStO52IK7ACgriIo
pjp19pPe4rs/AL0mWrgq5jw=
=sxMf
-----END PGP SIGNATURE-----